# DualS0ImpCounter - Hardware

Arduino based hardware for capturing impulses from S0 impulse meters. 

### Hardware

- based on Arduino Pro Mini (or clone, with ATmega 328p MCU)
- power supply using a 12VDC wall plug
- big buffer capacitor only for the MCU itself, right before it´s diode decoupled 5VDC regulator, 
- resistor network from 12VDC supply to ADC input to detect power loss early enough
- 2 S0 impulse inputs using optocouplers, active LOW (compatible with S0 outputs, which are usually open collector outputs)
- connection to host over RS232, so **NOT USING USB POWER SUPPLY**
- RS232 connection **without DTS signal**, so that the MCU cannot be surprise-reset by the host on (re-)connect
- reset circuit (connection from a GPIO out to /RES input)



### Schematic

![](Schematic.png)



### Board Layout

![](Board.png)

